org.springframework.http.server

## Interface ServerHttpRequest

All Superinterfaces:
  HttpInputMessage, HttpMessage, HttpRequest

All Known Implementing Classes:
  RequestPartServletServerHttpRequest, ServletServerHttpRequest

    public interface ServerHttpRequest
    extends HttpRequest, HttpInputMessage

Represents a server-side HTTP request.

Since:
  3.0
Author:
  Arjen Poutsma

### Method Summary

### Methods inherited from interface org.springframework.http.HttpRequest

`getMethod, getURI`

### Methods inherited from interface org.springframework.http.HttpInputMessage

`getBody`

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`